var token;
if(isEmpty(token)){
	var meta = $("meta[name=_uid]");
	if(!isEmpty(meta)){
		token = meta.attr("content");
		console.log("token is uid:" + token);
	}
}

var html =document.documentElement;
var lang = html.attributes["lang"]
var isZh = true;
if(lang != null && lang.nodeValue =="en-US" ){
    console.log("the language is " + lang.nodeValue);
    isZh=false;
}else{
    console.log("default lang=zh");
}
function isEmpty(str){
    if(typeof str == "undefined" || str == null || str == ""){
       return true;
    }
    return false;
}

var itemType={
    "1":"repository",
    "2":"issue",
    "3":"user",
    "4":"org",
    "5":"dataset",
    "6":"pr"
};

var sortBy={
    "10":"default",
    "11":"updated_unix.keyword",
    "12":"num_watches",
    "13":"num_stars",
    "14":"num_forks",
    "20":"default",
    "21":"updated_unix.keyword",
    "30":"default",
    "31":"name.keyword",
    "32":"name.keyword",
    "33":"created_unix.keyword",
    "34":"created_unix.keyword",
    "40":"default",
    "41":"name.keyword",
    "42":"name.keyword",
    "43":"created_unix.keyword",
    "44":"created_unix.keyword",
    "50":"default",
    "51":"download_times.keyword",
    "60":"default",
    "61":"updated_unix.keyword"
};

var sortAscending={
    "10":"false",
    "11":"false",
    "12":"false",
    "13":"false",
    "14":"false",
    "20":"false",
    "21":"false",
    "30":"false",
    "31":"true",
    "32":"false",
    "33":"false",
    "34":"true",
    "40":"false",
    "41":"true",
    "42":"false",
    "43":"false",
    "44":"true",
    "50":"false",
    "51":"false",
    "60":"false",
    "61":"false"
};

var currentPage = 1;
var pageSize = 15;
var currentSearchTableName ="repository";
var currentSearchKeyword="";
var currentSearchSortBy="";
var currentSearchAscending=false;
var OnlySearchLabel=false;
var startIndex =1;
var endIndex = 5;
var totalPage = 1;
var totalNum = 0;
var privateTotal = 0;

function initPageInfo(){
    currentPage = 1;
    startIndex =1;
    endIndex = 5;
}

function searchItem(type,sortType){
    console.log("enter item 2.");
    currentSearchKeyword = document.getElementById("keyword_input").value;
    if(!isEmpty(currentSearchKeyword)){
        initPageInfo();
        currentSearchTableName = itemType[type];
        currentSearchSortBy = sortBy[sortType];
        currentSearchAscending = sortAscending[sortType];
        OnlySearchLabel =false;
        
        page(currentPage);
    }
}



function search(){
    console.log("enter here 1.");
    currentSearchKeyword = document.getElementById("keyword_input").value;
    initPageInfo();
    if(!isEmpty(currentSearchKeyword)){
        currentSearchSortBy = sortBy[10];
        currentSearchAscending = false;
        OnlySearchLabel =false;
        page(currentPage);
        if(currentSearchTableName != "repository"){
            doSearch("repository",currentSearchKeyword,1,pageSize,true,"",false);
        }
        if(currentSearchTableName != "issue"){
            doSearch("issue",currentSearchKeyword,1,pageSize,true,"",false);
        }
        if(currentSearchTableName != "user"){
            doSearch("user",currentSearchKeyword,1,pageSize,true,"",false);
        }
        if(currentSearchTableName != "org"){
            doSearch("org",currentSearchKeyword,1,pageSize,true,"",false);
        }
        if(currentSearchTableName != "dataset"){
            doSearch("dataset",currentSearchKeyword,1,pageSize,true,"",false);
        }
        if(currentSearchTableName != "pr"){
            doSearch("pr",currentSearchKeyword,1,pageSize,true,"",false);
        }
    }
}

function initDiv(isSearchLabel=false){
    if(isSearchLabel){
        document.getElementById("search_div").style.display="none";
        document.getElementById("search_label_div").style.display="block";
        document.getElementById("dataset_item").style.display="none";
        document.getElementById("issue_item").style.display="none";
        document.getElementById("pr_item").style.display="none";
        document.getElementById("user_item").style.display="none";
        document.getElementById("org_item").style.display="none";
        document.getElementById("find_id").innerHTML="";
        
    }else{
        document.getElementById("search_div").style.display="block";
        document.getElementById("search_label_div").style.display="none";
        document.getElementById("dataset_item").style.display="block";
        document.getElementById("issue_item").style.display="block";
        document.getElementById("pr_item").style.display="block";
        document.getElementById("user_item").style.display="block";
        document.getElementById("org_item").style.display="block";
        document.getElementById("find_id").innerHTML="找到";
    }
}

function searchLabel(tableName,keyword,sortBy="",ascending=false){
    console.log("enter label search.");
    initDiv(true);
    //document.getElementById("search_div").style.display="none";
    //document.getElementById("search_label_div").style.display="block";
    document.getElementById("search_label_div").innerHTML="<p class=\"searchlabel\">#" + keyword +  "</p>";
    
    currentSearchKeyword = keyword;
    initPageInfo();
    currentSearchTableName = tableName;
    currentSearchSortBy = sortBy;
    currentSearchAscending = ascending;
    OnlySearchLabel =true;
    
    page(currentPage);
}

function doSearch(tableName,keyword,page,pageSize=15,onlyReturnNum=true,sortBy="",OnlySearchLabel=false){
    $.ajax({
        type:"GET",
        url:"/all/dosearch/",
        headers: {
           authorization:token,
         },
        dataType:"json",
	    data:{
            'TableName': tableName,
            'Key': keyword,
            'Page': page,
            'PageSize': pageSize,
            'OnlyReturnNum':onlyReturnNum,
            'SortBy':sortBy,
            'OnlySearchLabel':OnlySearchLabel,
            'Ascending':currentSearchAscending,
            'WebTotal':totalNum,
            'PrivateTotal':privateTotal
            },
        async:true,
        success:function(json){
           console.log("tableName=" + tableName);
           console.log(json);
           displayResult(tableName,page,json,onlyReturnNum,keyword);
        },
        error:function(response) {
           console.log(response);
        }
    });
}

function displayResult(tableName,page,jsonResult,onlyReturnNum,keyword){
    if(tableName == "repository") {
		displayRepoResult(page,jsonResult,onlyReturnNum,keyword);
	} else if (tableName == "issue") {
		displayIssueResult(page,jsonResult,onlyReturnNum,keyword);
	} else if (tableName == "user") {
		displayUserResult(page,jsonResult,onlyReturnNum,keyword);
	} else if (tableName == "org") {
		displayOrgResult(page,jsonResult,onlyReturnNum,keyword);
	} else if (tableName == "dataset") {
		displayDataSetResult(page,jsonResult,onlyReturnNum,keyword);
	} else if (tableName == "pr") {
		displayPrResult(page,jsonResult,onlyReturnNum,keyword);
	}
    if(!onlyReturnNum){
        console.log("set total num." + tableName);
        totalPage =Math.ceil(jsonResult.Total/pageSize);
        totalNum = jsonResult.Total;
        privateTotal = jsonResult.PrivateTotal;
        setPage(page);
    }
   
}

function displayPrResult(page,jsonResult,onlyReturnNum,keyword){
    var data = jsonResult.Result;
    var total = jsonResult.Total;
    $('#pr_total').text(total);
    if(!onlyReturnNum){
        setActivate("pr_item");
        $('#keyword_desc').text(keyword);
        $('#obj_desc').text("合并请求");
        $('#child_total').text(total);

        setIssueOrPrInnerHtml(data,"pulls");
    }
}

var categoryDesc={
    "computer_vision":"计算机视觉",
    "natural_language_processing":"自然语言处理",
    "speech_processing":"语音处理",
    "computer_vision_natural_language_processing":"计算机视觉、自然语言处理"
};

var taskDesc={
    "machine_translation":"机器翻译",
    "question_answering_system":"问答系统",
    "information_retrieval":"信息检索",
    "knowledge_graph":"知识图谱",
    "text_annotation":"文本标注",
    "text_categorization":"文本分类",
    "emotion_analysis":"情感分析",
    "language_modeling":"语言建模",
    "speech_recognition":"语音识别",
    "automatic_digest":"自动文摘",
    "information_extraction":"信息抽取",
    "description_generation":"说明生成",
    "image_classification":"图像分类",
    "face_recognition":"人脸识别",
    "image_search":"图像搜索",
    "target_detection":"目标检测",
    "image_description_generation":"图像描述生成",
    "vehicle_license_plate_recognition":"车辆车牌识别",
    "medical_image_analysis":"医学图像分析",
    "unmanned":"无人驾驶",
    "unmanned_security":"无人安防",
    "drone":"无人机",
    "vr_ar":"VR/AR",
    "2_d_vision":"2-D视觉",
    "2_5_d_vision":"2.5-D视觉",
    "3_d_reconstruction":"3D重构",
    "image_processing":"图像处理",
    "video_processing":"视频处理",
    "visual_input_system":"视觉输入系统",
    "speech_coding":"语音编码",
    "speech_enhancement":"语音增强",
    "speech_recognition":"语音识别",
    "speech_synthesis":"语音合成"
};

function getCategoryDesc(key){
    var re = categoryDesc[key];
    if(isEmpty(re)){
        return key;
    }
    return re;
}

function getTaskDesc(key){
    var re = taskDesc[key];
    if(isEmpty(re)){
        return key;
    }
    return re;
}

function displayDataSetResult(page,jsonResult,onlyReturnNum,keyword){
    var data = jsonResult.Result;
    var total = jsonResult.Total;
    $('#dataset_total').text(total);
    if(!onlyReturnNum){
        setActivate("dataset_item");
        $('#keyword_desc').text(keyword);
        $('#obj_desc').text("数据集");
        $('#child_total').text(total);

        var sortHtml = "";
        sortHtml +="<a class=\"item\" href=\"javascript:searchItem(5,50);\" tabindex=\"-1\" role=\"menuitem\" id=\"menuitem_1\">最佳匹配</a>";
        sortHtml +="<a class=\"item\" href=\"javascript:searchItem(5,51);\" tabindex=\"-1\" role=\"menuitem\" id=\"menuitem_1\">下载次数</a>";
        document.getElementById("sort_type").innerHTML=sortHtml;

        var html = "";
        var currentTime = new Date().getTime();
        for(var i = 0; i < data.length;i++){
            var recordMap = data[i];
            html += "<div class=\"item\">";	
            html += "  <div class=\"content\">";	
            html += "       <div class=\"ui right metas\">"	;
            if(!isEmpty(recordMap["category"])){
                html += "       <span class=\"text grey\"><svg class=\"svg octicon-tasklist\" width=\"16\" height=\"16\" aria-hidden=\"true\"><use xlink:href=\"#octicon-tasklist\" /></svg> " + getCategoryDesc(recordMap["category"]) + "</span>";
            }
            if(!isEmpty(recordMap["task"])){
                html += "        <span class=\"text grey\"><svg class=\"svg octicon-tag\" width=\"16\" height=\"16\" aria-hidden=\"true\"><use xlink:href=\"#octicon-tag\" /></svg>" + getTaskDesc(recordMap["task"]) + "</span>";
            }
            html += "           <span class=\"text grey\"><i class=\"ri-fire-line\"></i> " +recordMap["download_times"] +  "</span>     ";
            html +="        </div>";
            html += "       <div class=\"ui header\">";
            html += "           <a class=\"name\" href=\"/" +recordMap["repoUrl"] +"/datasets?type=0\">" + recordMap["title"] + "</a>";
            html +="            <span class=\"middle\"><svg class=\"svg octicon-repo-clone\" width=\"16\" height=\"16\" aria-hidden=\"true\"><use xlink:href=\"#octicon-repo-clone\"></use></svg></span>";
            html +="        </div>";
            html += "       <div class=\"description\">";
            html += "           <p class=\"has-emoji\"> " + recordMap["description"] + "</p>";
            if(!isEmpty(recordMap["file_name"])){
                html += "           <p class=\"has-emoji\"> " + recordMap["file_name"] + "</p>";
            }
            html +="            <p class=\"time\">";
            html +=" <span class=\"am-ml-10\"></span>  最后更新于 " +  recordMap["updated_html"];
            html +="            </p>";
            html +="        </div>";
            html +="   </div>";
            html +="</div>";
        }
        document.getElementById("child_search_item").innerHTML=html;
    }
}

function displayOrgResult(page,jsonResult,onlyReturnNum,keyword){
    var data = jsonResult.Result;
    var total = jsonResult.Total;
    $('#org_total').text(total);
    if(!onlyReturnNum){
        setActivate("org_item");
        $('#keyword_desc').text(keyword);
        $('#obj_desc').text("组织");
        $('#child_total').text(total);

        var sortHtml = "";
        sortHtml +="<a class=\"item\" href=\"javascript:searchItem(4,40);\" tabindex=\"-1\" role=\"menuitem\" id=\"menuitem_1\">最佳匹配</a>";
        sortHtml +="<a class=\"item\" href=\"javascript:searchItem(4,41);\" tabindex=\"-1\" role=\"menuitem\" id=\"menuitem_1\">字母顺序排序</a>";
        sortHtml +="<a class=\"item\" href=\"javascript:searchItem(4,42);\" tabindex=\"-1\" role=\"menuitem\" id=\"menuitem_2\">字母逆序排序</a>";
        sortHtml +="<a class=\"item\" href=\"javascript:searchItem(4,43);\" tabindex=\"-1\" role=\"menuitem\" id=\"menuitem_2\">最近创建</a>";
        sortHtml +="<a class=\"item\" href=\"javascript:searchItem(4,44);\" tabindex=\"-1\" role=\"menuitem\" id=\"menuitem_2\">最早创建</a>";
        document.getElementById("sort_type").innerHTML=sortHtml;

        var html = "";
        var currentTime = new Date().getTime();
        for(var i = 0; i < data.length;i++){
            var recordMap = data[i];
            html += "<div class=\"item members\">";	
            html += "<img class=\"ui avatar image\" src=\"" + recordMap["avatar"] + "\"></img>";
            html += "  <div class=\"content\">";	
            html += "       <div class=\"ui header\">";
            html += "           <a class=\"name\" href=\"/" + recordMap["real_name"] +"\">" + recordMap["name"] + "&nbsp;&nbsp;" + recordMap["full_name"] + "</a>";
            html +="        </div>";
            html += "       <div class=\"description\">";
            html += "           <p class=\"has-emoji\"> " + recordMap["description"] + "</p>";
            html +="            <p class=\"has-emoji\">";
            if(!isEmpty(recordMap["location"]) && recordMap["location"] != "null"){
                html +="               <i class=\"ri-map-pin-2-line\"></i> " + recordMap["location"];
            }
            html +="               <span class=\"am-ml-10\"></span>";
            if(!isEmpty(recordMap["website"]) && recordMap["website"] != "null"){
                html +="           <i class=\"ri-links-line\"></i>" +  "<a href=\""+ recordMap["website"] + "\" target=\"_blank\">" + recordMap["website"] + "</a>";   
            }
            html +="               <i class=\"ri-time-line am-ml-10\"></i>  加入于 ";
            html += recordMap["add_time"]
            html +="            </p>";
            html +="        </div>";
            html +="   </div>";
            html +="</div>";
        }
        document.getElementById("child_search_item").innerHTML=html;
    }
}
var monthDisplay=new Array("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Spt","Oct","Nov","Dec");
function displayUserResult(page,jsonResult,onlyReturnNum,keyword){
    var data = jsonResult.Result;
    var total = jsonResult.Total;
    $('#user_total').text(total);
    if(!onlyReturnNum){
        setActivate("user_item");
        $('#keyword_desc').text(keyword);
        $('#obj_desc').text("用户");
        $('#child_total').text(total);

        var sortHtml = "";//equal user sort by
        sortHtml +="<a class=\"item\" href=\"javascript:searchItem(3,30);\" tabindex=\"-1\" role=\"menuitem\" id=\"menuitem_1\">最佳匹配</a>";
        sortHtml +="<a class=\"item\" href=\"javascript:searchItem(3,31);\" tabindex=\"-1\" role=\"menuitem\" id=\"menuitem_1\">字母顺序排序</a>";
        sortHtml +="<a class=\"item\" href=\"javascript:searchItem(3,32);\" tabindex=\"-1\" role=\"menuitem\" id=\"menuitem_2\">字母逆序排序</a>";
        sortHtml +="<a class=\"item\" href=\"javascript:searchItem(3,33);\" tabindex=\"-1\" role=\"menuitem\" id=\"menuitem_2\">最近创建</a>";
        sortHtml +="<a class=\"item\" href=\"javascript:searchItem(3,34);\" tabindex=\"-1\" role=\"menuitem\" id=\"menuitem_2\">最早创建</a>";

        document.getElementById("sort_type").innerHTML=sortHtml;

        var html = "";
        var currentTime = new Date().getTime();
        for(var i = 0; i < data.length;i++){
            var recordMap = data[i];
            html += "<div class=\"item members\">";	
            html += "<img class=\"ui avatar image\" src=\"" + recordMap["avatar"] + "\"></img>";
            html += "  <div class=\"content\">";	
            html += "       <div class=\"ui header\">";
            html += "           <a class=\"name\" href=\"/" + recordMap["real_name"] +"\">" + recordMap["name"] + "&nbsp;&nbsp;" + recordMap["full_name"] +  "</a>";
            html +="        </div>";
            html += "       <div class=\"description\">";
            html += "           <p class=\"has-emoji\"> " + recordMap["description"] + "</p>";
            html +="            <p class=\"has-emoji\">";
            html +="               <i class=\"ri-mail-line\"></i>" + recordMap["email"];           
            html +="               <i class=\"ri-time-line am-ml-10\"></i>  加入于 ";
            html += recordMap["add_time"]
            html +="            </p>";
            html +="        </div>";
            html +="   </div>";
            html +="</div>";
        }
        document.getElementById("child_search_item").innerHTML=html;
    }
}

function setIssueOrPrInnerHtml(data,path){
    var sortHtml = "";
    if(path =="issues"){
        sortHtml +="<a class=\"item\" href=\"javascript:searchItem(2,20);\" tabindex=\"-1\" role=\"menuitem\" id=\"menuitem_1\">最佳匹配</a>";
        sortHtml +="<a class=\"item\" href=\"javascript:searchItem(2,21);\" tabindex=\"-1\" role=\"menuitem\" id=\"menuitem_1\">最近更新</a>";
    }else{
        sortHtml +="<a class=\"item\" href=\"javascript:searchItem(6,60);\" tabindex=\"-1\" role=\"menuitem\" id=\"menuitem_1\">最佳匹配</a>";
        sortHtml +="<a class=\"item\" href=\"javascript:searchItem(6,61);\" tabindex=\"-1\" role=\"menuitem\" id=\"menuitem_1\">最近更新</a>";
    }
    
    document.getElementById("sort_type").innerHTML=sortHtml;

    var html = "";
    var currentTime = new Date().getTime();
    for(var i = 0; i < data.length;i++){
        var recordMap = data[i];
        html += "<div class=\"item\">";		
        html += "  <div class=\"content\">";	
        html += "       <div class=\"ui header\">";
        html += "           <a class=\"name\" href=\"/" + recordMap["repoUrl"] +"/" + path + "/" + recordMap["index"] + "\">" + recordMap["name"] + "</a>";
        html +="        </div>";
        html += "       <div class=\"description\">";
        html += "           <p class=\"has-emoji\"> " + recordMap["content"] + "</p>";
        html +="            <p class=\"time\">";
        html +="               <i class=\"ri-code-box-line\"></i>";
        html +="               <a class=\"am-text grey\" href=\"/" + recordMap["repoUrl"] +"/" + path + "/" + recordMap["index"] + "\"> " + recordMap["repoUrl"] +"#" + recordMap["index"] + "</a>&nbsp;&nbsp;&nbsp;&nbsp;";
        html +="               <i class=\"ri-information-line am-ml-10\"></i>  ";
        if(recordMap["is_closed"] != null && (!(recordMap["is_closed"]) || recordMap["is_closed"]=="f")){
            html += "开启中";
        }else{
            html += "已关闭";
        }
        html +=" &nbsp;&nbsp;&nbsp;&nbsp;<i class=\"ri-message-2-line am-ml-10\"></i> " + recordMap["num_comments"];
        
        html +=" <span class=\"am-ml-10\">&nbsp;&nbsp;</span>&nbsp;&nbsp;最后更新于 "+ recordMap["updated_html"];
        
        html +="            </p>";
        html +="        </div>";
        html +="   </div>";
        html +="</div>";
    }
    document.getElementById("child_search_item").innerHTML=html;
}

function displayIssueResult(page,jsonResult,onlyReturnNum,keyword){
    var data = jsonResult.Result;
    var total = jsonResult.Total;
    $('#issue_total').text(total);
    if(!onlyReturnNum){
        setActivate("issue_item");
        $('#keyword_desc').text(keyword);
        $('#obj_desc').text("任务");
        $('#child_total').text(total);

        setIssueOrPrInnerHtml(data,"issues");
    }
}

function setActivate(name){
    $('#repo_item').removeClass("active");
    $('#user_item').removeClass("active");
    $('#issue_item').removeClass("active");
    $('#dataset_item').removeClass("active");
    $('#org_item').removeClass("active");
    $('#pr_item').removeClass("active");
    var tmp = "#" + name;
    $(tmp).addClass("active");
}

function displayRepoResult(page,jsonResult,onlyReturnNum,keyword){
    var data = jsonResult.Result;
    var total = jsonResult.Total;
    $('#repo_total').text(total);

    if(!onlyReturnNum){
        setActivate("repo_item");
        $('#keyword_desc').text(keyword);
        $('#obj_desc').text("项目");
        $('#child_total').text(total);

        var sortHtml = "";
        sortHtml +="<a class=\"item\" href=\"javascript:searchItem(1,10);\" tabindex=\"-1\" role=\"menuitem\" id=\"menuitem_1\">最佳匹配</a>";
        sortHtml +="<a class=\"item\" href=\"javascript:searchItem(1,11);\" tabindex=\"-1\" role=\"menuitem\" id=\"menuitem_1\">最近更新</a>";
        sortHtml +="<a class=\"item\" href=\"javascript:searchItem(1,12);\" tabindex=\"-1\" role=\"menuitem\" id=\"menuitem_1\">关注数</a>";
        sortHtml +="<a class=\"item\" href=\"javascript:searchItem(1,13);\" tabindex=\"-1\" role=\"menuitem\" id=\"menuitem_1\">点赞数</a>";
        sortHtml +="<a class=\"item\" href=\"javascript:searchItem(1,14);\" tabindex=\"-1\" role=\"menuitem\" id=\"menuitem_1\">Fork数</a>";

        document.getElementById("sort_type").innerHTML=sortHtml;

        var html = "";
        var currentTime = new Date().getTime();
        for(var i = 0; i < data.length;i++){
            var recordMap = data[i];
            html += "<div class=\"item\">";		
            if(!isEmpty(recordMap['avatar'])){
                html += "<img class=\"ui avatar image\" src=\"" + recordMap['avatar'] + "\">";		
            }
            html += "  <div class=\"content\">";	
            html += "       <div class=\"ui header\">";
            html += "           <a class=\"name\" href=\"/" + recordMap["owner_name"] + "/" + recordMap["real_name"] +"\"> <span>" + recordMap["owner_name"] +"</span> <span>/</span> <strong>" + recordMap["alias"] + "</strong></a>";
            if(recordMap["is_private"]){
                html +="        <span class=\"middle text gold\"><svg class=\"svg octicon-lock\" width=\"16\" height=\"16\" aria-hidden=\"true\"><use xlink:href=\"#octicon-lock\" /></svg></span>";
            }
            html +="        </div>";
            html += "       <div class=\"description\">";
            html += "           <p class=\"has-emoji\"> " + recordMap["description"] + "</p>";
            html += "           <div class=\"ui tags\">";
            if(!isEmpty(recordMap["topics"]) && recordMap["topics"] !="null"){
                for(var j = 0; j < recordMap["topics"].length;j++){
                    //function searchLabel(tableName,keyword,sortBy="",ascending=false)
                    html +="       <a href=\"javascript:searchLabel('repository','" + recordMap["topics"][j] + "','updated_unix.keyword',false);\"><div class=\"ui small label topic\">"+ recordMap["hightTopics"][j] + "</div></a>";
                }
            }
            html +="            </div>";
            html +="            <p class=\"time\">";
            html +="                <i class=\"icon fa-eye\">" +recordMap["num_watches"] + "</i>&nbsp;&nbsp;<i class=\"ri-star-line\"></i>" + recordMap["num_stars"] + "&nbsp;&nbsp;<i class=\"ri-git-branch-line am-ml-10\"></i>" +  recordMap["num_forks"] +"&nbsp;&nbsp;";
            html +="&nbsp;&nbsp;&nbsp;&nbsp;最后更新于 " + recordMap["updated_html"];
            if(!isEmpty(recordMap["lang"])){
                html +="            <span class=\"text grey am-ml-10\"><i class=\"color-icon\" style=\"background-color: #3572A5\"></i>" + recordMap["lang"] + "</span>";
            }
            html +="            </p>";
            html +="        </div>";
            html +="   </div>";
            html +="</div>";
        }

        document.getElementById("child_search_item").innerHTML=html;
    }
}

function getTime(UpdatedUnix,currentTime){
    UpdatedUnix = UpdatedUnix;
    currentTime = currentTime / 1000;
    var timeEscSecond = currentTime - UpdatedUnix;
    if( timeEscSecond < 0){
        timeEscSecond = 1;
    }
    console.log("currentTime=" + currentTime + " updateUnix=" + UpdatedUnix);
   
    var hours= Math.floor(timeEscSecond / 3600);
    //计算相差分钟数
    var leave2 = Math.floor(timeEscSecond % (3600)); //计算小时数后剩余的秒数
    var minutes= Math.floor(leave2 / 60);//计算相差分钟数

    var leave3=Math.floor(leave2 % 60); //计算分钟数后剩余的秒数
    var seconds= leave3;

    if(hours == 0 && minutes == 0){
        return seconds + getRepoOrOrg(6,isZh);
    }else{
        if(hours > 0){
            if(hours >= 24){
                var days = Math.ceil(hours/24)
                if (days >= 30 && days <365){
                    return Math.ceil(days/30) + getRepoOrOrg(8,isZh);
                }else if(days >= 365){
                    return Math.ceil(days/365) + getRepoOrOrg(9,isZh);
                }
                return Math.ceil(hours/24) + getRepoOrOrg(7,isZh);
            }else{
                return hours + getRepoOrOrg(4,isZh);
            }
        }else{
            return minutes + getRepoOrOrg(5,isZh);
        }
    }
}

function getRepoOrOrg(key,isZhLang){
    if(isZhLang){
        return repoAndOrgZH[key];
    }else{
        return repoAndOrgEN[key];
    }
}

var repoAndOrgZH={
    "1":"项目",
    "2":"成员",
    "3":"团队",
    "4":"小时前",
    "5":"分钟前",
    "6":"秒前",
    "7":"天前",
    "8":"个月前",
    "9":"年前"
};

var repoAndOrgEN={
    "1":"repository",
    "2":"Members ",
    "3":"Teams",
    "4":" hours ago",
    "5":" minutes ago",
    "6":" seconds ago",
    "7":" day ago",
    "8":" month ago",
    "9":" year ago"
};




function page(current){
    
    currentPage=current;
    doSearch(currentSearchTableName,currentSearchKeyword,current,pageSize,false,currentSearchSortBy,OnlySearchLabel);
    
  }
  
  function nextPage(){
    currentPage = currentPage+1; 
    console.log("currentPage=" + currentPage);
    if(currentPage >= endIndex){
        startIndex=startIndex+1;
        endIndex = endIndex +1;
    }
    page(currentPage);
  }
  
  function prePage(){
    console.log("currentPage=" + currentPage);
    if(currentPage > 1){
      currentPage = currentPage-1;
      if(currentPage <= startIndex && startIndex > 1){
          startIndex = startIndex -1;
          endIndex = endIndex - 1;
      }
      console.log("currentPage=" + (currentPage));
      page(currentPage);
    } 
  }

  function goPage(){
    
     var inputpage = document.getElementById("inputpage")
     var goNum = inputpage.value;
      if (goNum<=0){
        showTip("请输入大于0的数值","warning");
      }
      else if(goNum<=totalPage){
          page(goNum);
      }
      else{
        showTip("不能超出总页数！","warning");
      }
  }

  function showTip(tip, type) {
    var $tip = $('#tipmsg');
    $tip.stop(true).prop('class', 'alert alert-' + type).html(tip).css('margin-left', - $tip.outerWidth() / 2).fadeIn(500).delay(2000).fadeOut(500);
   }

  function setPage(currentPage){
    console.log("totalPage=" + totalPage);
    var html ="";
    console.log("currentPage=" + currentPage);
    console.log("privateTotal=" + privateTotal);
    // if(totalPage==0){
    //     return;
    // }
    html += "<span class=\"item\">共 " + totalNum + " 条</span>"
    if(currentPage > 1){
        html += "<a class=\"item navigation\" href=\"javascript:page(1)\"><span class=\"navigation_label\">首页</span></a>";
        html += "<a class=\"item navigation\" href=\"javascript:prePage()\"><i class=\"left arrow icon\"></i></a>";
    }else{
        html += "<a class=\"disabled item navigation\" href=\"javascript:page(1)\"><span class=\"navigation_label\">首页</span></a>";
        html += "<a class=\"disabled item navigation\" href=\"javascript:prePage()\"><i class=\"left arrow icon\"></i></a>";
    }
    
    for(var i=startIndex; i <= endIndex; i++){
        var  page_i = i;
        if(page_i > totalPage){
            break;
        }
        if( page_i == currentPage){
            html += "<a id=\"page_"  + page_i+ "\" class=\"active item\" href=\"javascript:page(" + page_i +")\">" + page_i + "</a>";
        }else{
            html += "<a id=\"page_"  + page_i+ "\" class=\"item\" href=\"javascript:page(" + page_i +")\">" + page_i + "</a>";
        }
    }

    if(currentPage >=totalPage){
        html += "<a class=\"disabled item navigation\" href=\"javascript:nextPage()\"><i class=\"icon right arrow\"></i></a>";
        html += "<a class=\"disabled item navigation\" href=\"javascript:page(" + totalPage + ")\"><span class=\"navigation_label\">末页</span></a>";
    }else{
        html += "<a class=\"item navigation\" href=\"javascript:nextPage()\"><i class=\"icon right arrow\"></i></a>";
        html += "<a class=\"item navigation\" href=\"javascript:page(" + totalPage + ")\"><span class=\"navigation_label\">末页</span></a>";
    }

    html +="<div class=\"item\">  前往<div class=\"ui input\"><input id=\"inputpage\" type=\"text\"></div>页</div><strong id=\"tipmsg\"></strong>";
    console.log("html=" + html)
    document.getElementById("page_menu").innerHTML=html;
    $('#inputpage').on('keypress',function(event){
        if(event.keyCode == 13){
            goPage();
        }
      });
  }

$('#keyword_input').on('keypress',function(event){
    if(event.keyCode == 13){
        var keyword = $('#keyword_input').val();
        if(!isEmpty(keyword)){
            search();
        }
    }
});

initDiv(false);

document.onreadystatechange = function() {
    if (document.readyState === "complete") {
        var keyword = $('#keyword_input').val();
        if(!isEmpty(keyword)){
            search();
        }
    }
}